<?php
	/* WebWall */
	define("ADMIN", 1);
	require_once '../core.php';
	checkuserloggedoff();
	define("IN_TAB", "tab-[5]", true);
	$get["id"] = text_filter($_GET["id"], 1);
	$delete["id"] = text_filter($_POST["deletepost"], 1);

	if($_SERVER['REQUEST_METHOD'] == "POST")
	{ 
		$admin_session->deletehmpost($delete["id"]); 
	}

	if($engine_session->getuserrights("ADM") || $engine_session->getuserrights("MOD") && $engine_session->getuserrights("FREE_HM_ACCESS"))
	{
		$template_session->setparameter("serializeHmTabs", $admin_session->serializehmtabs(''.IN_TAB.''), true);
		$template_session->setparameter("idToDelete", $get["id"], true);
		$template_session->loadhead($template_session->getlangval(206));
		$template_session->loadlogo(); 
		$template_session->loadmenu(); 
		if($engine_session->getuserrights("VIEW_USERS"))
		{
			$template_session->loadtpl("hm_delete_post");
		}
		else
		{
			$template_session->loadtpl("hm_permission");
		}
		$template_session->addline("</div>");
		$template_session->loadtpl("footer");
		$template_session->loadend();
	}
	else
	{
		$engine_session->headerin();
	}
?>